Usually moving from lower version to higher has some problem but in my experience latest/correct version of library should solve the problem